package logic;



public class EqualsZero extends APredicate

{

 public static EqualsZero Singleton = new EqualsZero();



 private EqualsZero()

 {

 }

 /**

  * @param dat 

  * @return 

  */

 public IBoolean isTrue(Object dat)

 {

  return BooleanFactory.Singleton.makeBoolean( 0== ((Integer)dat)) ; 

 }

}



